Top Description Fields Constructors Methods
org.bouncycastle.asn1.cms

public Class Evidence

extends ASN1Object
implements ASN1Choice
Class Inheritance
All Implemented Interfaces
org.bouncycastle.asn1.ASN1Choice
Imports
org.bouncycastle.asn1.ASN1Choice, .ASN1Object, .ASN1Primitive, .ASN1TaggedObject, .DERTaggedObject

RFC 5544: Binding Documents with Time-Stamps; Evidence object.

Evidence ::= CHOICE {
    tstEvidence    [0] TimeStampTokenEvidence,   -- see RFC 3161
    ersEvidence    [1] EvidenceRecord,           -- see RFC 4998
    otherEvidence  [2] OtherEvidence
}

Field Summary

Modifier and TypeField and Description
private TimeStampTokenEvidence

Constructor Summary

AccessConstructor and Description
public
private

Method Summary

Modifier and TypeMethod and Description
public static Evidence
getInstance(Object
the object we want converted.
obj
)

Return an Evidence object from the given object.

public TimeStampTokenEvidence
public ASN1Primitive
toASN1Primitive()

Implements abstract org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Implements org.bouncycastle.asn1.ASN1Encodable.toASN1Primitive.

Method providing a primitive representation of this object suitable for encoding.
Inherited from org.bouncycastle.asn1.ASN1Object:
equalsgetEncodedgetEncodedhasEncodedTagValuehashCode

Field Detail

tstEvidenceback to summary
private TimeStampTokenEvidence tstEvidence

Constructor Detail

Evidenceback to summary
public Evidence(TimeStampTokenEvidence tstEvidence)
Evidenceback to summary
private Evidence(ASN1TaggedObject tagged)

Method Detail

getInstanceback to summary
public static Evidence getInstance(Object obj)

Return an Evidence object from the given object.

Accepted inputs:

Parameters
obj:Object

the object we want converted.

Exceptions
IllegalArgumentException:
if the object cannot be converted.
getTstEvidenceback to summary
public TimeStampTokenEvidence getTstEvidence()
toASN1Primitiveback to summary
public ASN1Primitive toASN1Primitive()

Implements abstract org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Implements org.bouncycastle.asn1.ASN1Encodable.toASN1Primitive.

Doc from org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Method providing a primitive representation of this object suitable for encoding.

Returns:ASN1Primitive

a primitive representation of this object.